Bug 1285867 - barman: Provide a Python 3 package [NEEDINFO]
barman: Provide a Python 3 package
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: barman (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dale Macartney
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE
  Show dependency treegraph
 
Reported: 2015-11-26 13:38 EST by William Moreno
Modified: 2016-11-23 13:52 EST (History)
3 users (show)

See Also:
Fixed In Version: barman-2.0-1.fc24 barman-2.0-1.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-22 22:53:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pviktori: needinfo? (dbmacartney)
dkrejci: needinfo? (dbmacartney)


Attachments (Terms of Use)
Switch to Python 3 and update version (2.90 KB, patch)
2016-10-11 04:52 EDT, Dominika Krejčí
no flags Details | Diff

  None (edit)
Description William Moreno 2015-11-26 13:38:28 EST
Upstream, this software supports for Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 1 Jan Kurik 2016-02-24 09:02:52 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Petr Viktorin 2016-04-19 10:56:35 EDT
Dale, do you need any help with adding Python 3 support?
Comment 3 Dominika Krejčí 2016-10-11 04:52 EDT
Created attachment 1209037 [details]
Switch to Python 3 and update version

Hi Dale,
there is a patch to switch the specfile to Python 3 and update to version 2.0. Could you please do the review and push it? Thank you.

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=16044119
Comment 4 Fedora Update System 2016-11-11 18:05:20 EST
barman-2.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2991c28f3f
Comment 5 Fedora Update System 2016-11-11 18:12:15 EST
barman-2.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cdb07bd91a
Comment 6 Fedora Update System 2016-11-12 13:24:20 EST
barman-2.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cdb07bd91a
Comment 7 Fedora Update System 2016-11-12 22:21:27 EST
barman-2.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2991c28f3f
Comment 8 Fedora Update System 2016-11-22 22:53:29 EST
barman-2.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-11-23 13:52:46 EST
barman-2.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.